Subject: Re: bug#57490: UPower ignores ‘critical-power-action’

From: Maxime Devos <[email-masked]>
Date: Mon, 5 Sep 2022 22:01:01 +0200

On 05-09-2022 14:56, Ludovic Courtès wrote:
> I’d like to test whether UPower invokes the intended critical action,
> but I’m not sure how to simulate a low battery level.  Thoughts?

I've found a 'Virtual Battery Driver': https://lwn.net/Articles/440097/

The gmane links are dead, but the linux source tree as a 
drivers/power/supply/test_power.c that seems to be about the same thing.

Greetings,
Maxime.